-- Personal Logistics Shortcut. Factorio mod.

local SHORTCUT_NAME = 'pls-toggle'

function enabled(player_index, set)
    local player = game.players[player_index]
    -- game.print(game.table_to_json({player_index, set, 'is', player.is_shortcut_toggled(SHORTCUT_NAME)}))
    if set ~= nil then
        player.set_shortcut_toggled(SHORTCUT_NAME, set)
        player.character_personal_logistic_requests_enabled = set
    end
    return player.character_personal_logistic_requests_enabled
end

function toggle(event)
    if event.input_name ~= SHORTCUT_NAME and event.prototype_name ~= SHORTCUT_NAME then return end
    enabled(event.player_index, not enabled(event.player_index))
end

script.on_event(defines.events.on_tick, function(event)
    for _, player in pairs(game.connected_players) do
        player.set_shortcut_toggled(SHORTCUT_NAME, player.character_personal_logistic_requests_enabled)
    end
end)

script.on_event(defines.events.on_lua_shortcut, toggle)
-- script.on_event('pls-toggle', toggle)
